BARMAN-DELETE(1)

NAME
barman-delete - Barman Sub-Commands

SYNOPSIS

    delete
        [ { -h | --help } ]
        SERVER_NAME BACKUP_ID

DESCRIPTION

Delete the specified backup. You can use a shortcut instead of BACKUP_ID.

PARAMETERS

SERVER_NAME
    Name of the server in barman node

BACKUP_ID
    Id of the backup in barman catalog.

-h / --help
    Show a help message and exit. Provides information about command usage.

SHORTCUTS

Use shortcuts instead of BACKUP_ID.
Shortcut | Description
first/oldest | Oldest available backup for the server, in chronological order.
last/latest | Most recent available backup for the server, in chronological order.
last-full/latest-full | Most recent full backup eligible for a block-level incremental backup using the --incremental option.
last-failed | Most recent backup that failed, in chronological order.

AUTHOR
EnterpriseDB

COPYRIGHT
© Copyright EnterpriseDB UK Limited 2011-2025